use crate::{Code, Compiler};
use tonic_parser::{Lexer, Parser, Statement};

pub fn compile(source: &str) -> Compiler {
    let program = parse(source);
    let mut compiler = Compiler::new();

    for statement in program {
        compiler.compile(statement);
    }

    compiler
}

pub fn parse(source: &str) -> Vec<Statement> {
    let lexer = Lexer::new(source);
    let mut parser = Parser::new(lexer);

    parser.read();
    parser.read();

    parser.parse()
}